Imports System
Imports System.ComponentModel
Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering
Imports DevExpress.ExpressApp

Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.Xpo.Metadata
Imports System.Drawing
<DefaultClassOptions()> _
<NavigationItem("RealEstateStocks")> _
Public Class LocalityType
    Inherits BaseObject
    Private _ShortName As String
    Private _RoomCount As eRoomCount
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Property ShortName() As String
        Get
            Return _ShortName
        End Get
        Set(ByVal value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    Property RoomCount() As eRoomCount
        Get
            Return _RoomCount
        End Get
        Set(ByVal value As eRoomCount)
            SetPropertyValue("RoomCount", _RoomCount, value)
        End Set
    End Property
End Class 'Helység tipus
